#
# Project created by QtCreator 2011-09-20T08:15:30
#
#-------------------------------------------------

#include(/etc/lppmon/lppmonplugin.prf)
CONFIG += lppmonplugin
TARGET = rmapplugin

DEFINES += PLUGIN=rmapplugin
DEFINES += PLUGINHEADER="\"\\\"rmapplugin.h"\\\"\"
DEFINES += driver_Name="\"\\\"RMAPPlugin"\\\"\"
DEFINES += driver_Author="\"\\\"Paul Leroy paul.leroy@lpp.polytechnique.fr"\\\"\"
DEFINES += driver_Version="\"\\\"1.1.2"\\\"\"
DEFINES += driver_Description="\"\\\"AHB bus controler, works with Gaisler's AHB plugn' play bus."\\\"\"
DEFINES += driver_can_be_root=1
DEFINES += driver_can_be_child=0
DEFINES += driver_VID=0
DEFINES += driver_PID=0

QT += network

LIBS += ../spw_usb_driver_v2.63/lib/x86_64/libSpaceWireUSBAPI.so \
    ../spw_usb_driver_v2.63/lib/x86_64/libConfigLibraryUSB.so


INCLUDEPATH += \
        $${PWD} \
        ../common_PLE \
        ../spw_usb_driver_v2.63/inc


HEADERS += \
    rmappluginui.h \
    rmapplugin.h \
    rmapoperations.h \
    ccsds.h \
    ../common_PLE/qipdialogbox.h \
    ../common_PLE/gresbstatusenquiry.h \
    rmappluginpythonwrapper.h \
    stardundee.h \
    ../spw_usb_driver_v2.61/inc/spw_usb_api.h \
    ../spw_usb_driver_v2.61/inc/spw_config_library.h \
    gresb.h \
    tcpackettosend.h \
    tmpackettoread.h \
    wfdisplay.h \
    tmstatistics.h \
    wfplot.h \
    wfpage.h \
    wfpacket.h \
    params.h \
    tmechobridge.h


SOURCES += \
    rmapplugin.cpp \
    rmappluginui.cpp \
    rmapoperations.cpp \
    ccsds.cpp \
    ../common_PLE/qipdialogbox.cpp \
    ../common_PLE/gresbstatusenquiry.cpp \
    rmappluginpythonwrapper.cpp \
    stardundee.cpp \
    gresb.cpp \
    tcpackettosend.cpp \
    tmpackettoread.cpp \
    wfdisplay.cpp \
    tmstatistics.cpp \
    wfplot.cpp \
    wfpage.cpp \
    wfpacket.cpp \
    tmechobridge.cpp










